http_loggers
Create a HTTP logger
POST
/
http_loggers
Create a HTTP logger
curl --request POST \
--url https://app.pentest-tools.com/api/v2/http_loggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data label=mypentestimport requests
url = "https://app.pentest-tools.com/api/v2/http_loggers"
payload = { "label": "mypentest" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({label: 'mypentest'})
};
fetch('https://app.pentest-tools.com/api/v2/http_loggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_id": 420323
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Query Parameters
ID of the workspace to show HTTP loggers from. If not set, all of them will be returned.
Body
application/x-www-form-urlencoded
A unique label for the HTTP request logger
Example:
"mypentest"
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get logger information by IDGet logger information by ID. To see the requests made to the logger, see `/http_loggers/{id}/data`
Next
⌘I
Create a HTTP logger
